SpacingShapeDecoration (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.omGraphics.awt
Class SpacingShapeDecoration

    java.lang.Object
      com.bbn.openmap.omGraphics.awt.AbstractShapeDecoration
          com.bbn.openmap.omGraphics.awt.SpacingShapeDecoration

All Implemented Interfaces:
  Revertable, ShapeDecoration

Direct Known Subclasses:
  LineShapeDecoration

    public class SpacingShapeDecoration

extends AbstractShapeDecoration

The most simple decoration : space.

Version:
  27 juil. 2002
Author:
  Eric LEPICIER

Field Summary

Fields inherited from interface com.bbn.openmap.omGraphics.awt.ShapeDecoration
`LEFT, RIGHT`

Constructor Summary
`SpacingShapeDecoration(float length)` Constructor.

Method Summary
`void` | `draw(java.awt.Graphics g, java.awt.geom.Point2D[] points, boolean complete)` Draws itself along the specified polyline Called by ShapeDecorator

Methods inherited from class com.bbn.openmap.omGraphics.awt.AbstractShapeDecoration
`getLength, getOrientation, getPaint, getStroke, getWidth, restoreGraphics, revert, setGraphics, setLength, setOrientation, setPaint, setStroke, setWidth`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SpacingShapeDecoration

    public SpacingShapeDecoration(float length)

  Constructor.

  Parameters:
    `length` -

Method Detail

### draw

    public void draw(java.awt.Graphics g,
                     java.awt.geom.Point2D[] points,
                     boolean complete)

  Description copied from interface: `ShapeDecoration`
  Draws itself along the specified polyline Called by ShapeDecorator

    `points` - the polyline
    `complete` - true if the polyline length equals the decoration length
  See Also:
    `ShapeDecoration.draw(Graphics, Point2D[], boolean)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details